org.apache.tinkerpop.gremlin.structure

## Interface Graph.Features.PropertyFeatures

- All Superinterfaces:
    Graph.Features.DataTypeFeatures, Graph.Features.FeatureSet
  All Known Subinterfaces:
    Graph.Features.EdgePropertyFeatures, Graph.Features.VertexPropertyFeatures
  Enclosing interface:
    Graph.Features

      public static interface Graph.Features.PropertyFeatures
      extends Graph.Features.DataTypeFeatures

  A base interface for `Edge` or `Vertex` `Property` features.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURE_PROPERTIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `FEATURE_BOOLEAN_ARRAY_VALUES, FEATURE_BOOLEAN_VALUES, FEATURE_BYTE_ARRAY_VALUES, FEATURE_BYTE_VALUES, FEATURE_DOUBLE_ARRAY_VALUES, FEATURE_DOUBLE_VALUES, FEATURE_FLOAT_ARRAY_VALUES, FEATURE_FLOAT_VALUES, FEATURE_INTEGER_ARRAY_VALUES, FEATURE_INTEGER_VALUES, FEATURE_LONG_ARRAY_VALUES, FEATURE_LONG_VALUES, FEATURE_MAP_VALUES, FEATURE_MIXED_LIST_VALUES, FEATURE_SERIALIZABLE_VALUES, FEATURE_STRING_ARRAY_VALUES, FEATURE_STRING_VALUES, FEATURE_UNIFORM_LIST_VALUES`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `supportsProperties()` Determines if an `Element` allows for the processing of at least one data type defined by the features.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `supportsBooleanArrayValues, supportsBooleanValues, supportsByteArrayValues, supportsByteValues, supportsDoubleArrayValues, supportsDoubleValues, supportsFloatArrayValues, supportsFloatValues, supportsIntegerArrayValues, supportsIntegerValues, supportsLongArrayValues, supportsLongValues, supportsMapValues, supportsMixedListValues, supportsSerializableValues, supportsStringArrayValues, supportsStringValues, supportsUniformListValues`

- - ### Field Detail

    - #### FEATURE_PROPERTIES

          static final String FEATURE_PROPERTIES

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### supportsProperties

          default boolean supportsProperties()

      Determines if an `Element` allows for the processing of at least one data type defined by the features. In this case "processing" refers to at least "reading" the data type. If any of the features on `Graph.Features.PropertyFeatures` is true then this value must be true.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.